assetmgrmodel::AssetStripConfig_1_0_1::StripSettings Struct Reference

Settings for this Asset Strip. More...

`import"AssetStripConfig.idl";`

## Public Attributes

int | rackUnitCount
| rack unit count, number of rack units (range: 8..64), will be ignored on strips that auto-detect their rack unit count
string | name
| user defined name (up to 64 alphanumeric characters)
ScanMode | scanMode
| LED scan (demo) mode.
LEDColor | defaultColorConnected
| auto color for rack units with an asset tag connected
LEDColor | defaultColorDisconnected
| auto color for rack units without an asset tag connected
NumberingMode | numberingMode
| rack unit numbering mode (top down, bottom up)
int | numberingOffset
| rack unit numbering starting offset (default is 1)
Orientation | orientation
| orientation. If orientationSensAvailable, writes are ignored

## Detailed Description

Settings for this Asset Strip.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/AssetStripConfig.idl